<?php 
require_once("../datos/mysqlcategoria.php");
$c = new mysqlcategoria();
$indice = $_POST['name'];

if($indice == "updatecategoria"){
	$id_categoria= $_POST['pk']; // the pk(primary key) that you assigned
	$categoria= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $c->updatecategoria($id_categoria,$categoria);
  	echo $resultado;
}else if($indice == "updateresponsable"){
	$id_responsable= $_POST['pk']; // the pk(primary key) that you assigned
	$responsable= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $c->updateresponsable($id_responsable,$responsable);
  	echo $resultado;

}else if($indice == "setresponsable"){
	$responsable= $_POST['responsable'] ;// the new value after you use the inline edit
	$resultado = $c->setresponsable($responsable);
  	echo $resultado;

}else if($indice == "setdetalle"){
	$detalle= $_POST['detalle'] ;// the new value after you use the inline edit
	$resultado = $c->setdetalle($detalle);
  	echo $resultado;
}else if($indice == "updatedetallecategoria"){
	$id_subcategoria= $_POST['pk']; // the pk(primary key) that you assigned
	$subcategoria= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $c->updatedetallecategoria($id_subcategoria,$subcategoria);
  	echo $resultado;

}else if($indice == "updatesubcategoria"){
	$id_subcategoria= $_POST['pk']; // the pk(primary key) that you assigned
	$id_categoria= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $c->updatesubcategoria($id_subcategoria,$id_categoria);
  	echo $resultado;

}else if($indice == "updatedetalleresponsable"){
	$id_subcategoria= $_POST['pk']; // the pk(primary key) that you assigned
	$id_responsable= $_POST['value'] ;// the new value after you use the inline edit
	$resultado = $c->updatedetalleresponsable($id_subcategoria,$id_responsable);
  	echo $resultado;
	
}else if($indice == "setsubcategoria"){
	$id_categoria = $_POST['id_categoria'];
	 $subcategoria = $_POST['subcategoria'];
     $id_responsableobra = $_POST['id_responsableobra'];
     $resultado = $c->setsubcategoria($id_categoria,$subcategoria,$id_responsableobra);
  	echo $resultado;
}


?>